# PhasicFlow: demInteraction Class Reference

demInteraction Class Reference
Inheritance diagram for demInteraction:
[legend]
Collaboration diagram for demInteraction:
[legend]

## Public Member Functions

| demInteraction (systemControl &control)
| demInteraction (systemControl &control, const fileSystem &file)
Public Member Functions inherited from property
| TypeInfoNV ("property")
| Type info. More...
| property ()
| Emptry constructor, used for reading from a file. More...
| property (const wordVector &materials, const realVector &densities)
| Constructe from materials and densities. More...
| property (const fileSystem &file)
| Construct from file. More...
| property (const dictionary &dict)
| Construct from dictionary dict. More...
| property (const property &)=default
| Default copy. More...
| property (property &&)=default
| Default move. More...
property & | operator= (const property &)=default
| Default copy assignment. More...
property & | operator= (property &&)=default
| Default move assignment. More...
| ~property ()=default
| Default destructor. More...
const auto & | dict () const
| Return dictionary. More...
auto | numMaterials () const
| Return number of materials. More...
const auto & | materials () const
| Return list of material names. More...
const auto & | densities () const
| Return the list of densities. More...
const word & | material (uint32 i) const
| Return the material name of material i. More...
bool | material (uint32 i, word &name) const
| Get the name of material i. More...
real | density (uint32 i) const
| Return density of material i. More...
bool | density (uint32 i, real &rho) const
| Get the density of material i. More...
bool | nameToIndex (const word &name, uint32 &idx) const
| Get the name of material in index idx Return true, if the name found, otherwise false. More...
bool | read (const dictionary &dict)
| Read from dictionary. More...
bool | write (dictionary &dict) const
| Write to dictionary. More...
Public Member Functions inherited from demComponent
| TypeInfo ("demComponent")
| demComponent (const word &name, systemControl &control)
virtual | ~demComponent ()=default
const auto & | control () const
auto & | control ()
real | dt () const
real | currentTime () const
auto & | timers ()
const auto & | timers () const
virtual bool | beforeIteration ()=0
virtual bool | iterate ()=0
virtual bool | afterIteration ()=0

## Additional Inherited Members

Protected Member Functions inherited from property
bool | readDictionary (const dictionary &dict)
| read from dict More...
bool | writeDictionary (dictionary &dict) const
| write to dict More...
bool | makeNameIndex ()
| creates a mapp More...
Protected Attributes inherited from property
uniquePtr< dictionary > | dict_ = nullptr
| pointer to the dictionary, if it is constructed from a file/dictionary More...
wordVector | materials_
| list of name of materials More...
realVector | densities_
| list of density of materials More...
wordHashMap< uint32 > | nameIndex_
| rapid mapping from name to index More...
uint32 | numMaterials_ = 0
| number of materials More...
Protected Attributes inherited from demComponent
word | componentName_
systemControl & | control_
Timers | timers_

## Detailed Description

Definition at line 32 of file demInteraction.hpp.

## Constructor & Destructor Documentation

## demInteraction() [1/2]

demInteraction | ( | systemControl & | control | ) |

inline

Definition at line 40 of file demInteraction.hpp.

## demInteraction() [2/2]

demInteraction | ( | systemControl & | control,
|  | const fileSystem & | file
| ) |  |

inline

Definition at line 46 of file demInteraction.hpp.

The documentation for this class was generated from the following file:

- src/Interaction/interaction/demInteraction.hpp